Name:           sonic-audio-applet-pulse
Version:        6.4.5
Release:        1%{?dist}
Summary:        SonicDE applet for audio volume management (fork of plasma-pa)

License:        GPL-2.0-or-later
URL:            https://github.com/Sonic-DE/sonic-audio-applet-pulse
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Declarative)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6PulseAudioQt)
BuildRequires:  cmake(KF6Svg)
BuildRequires:  cmake(KF6StatusNotifierItem)

BuildRequires:  sonic-interface-libraries-devel

BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  qt6-qtbase-devel

Requires:       pulseaudio-daemon

Conflicts:      plasma-pa

%description
Sonic Audio Applet Pulse is a fork of plasma-pa, providing the audio volume
management applet and configuration modules for SonicDE.

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

%files -f %{name}.lang
%license LICENSES/*
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_pulseaudio.so
%{_qt6_qmldir}/org/kde/plasma/private/volume/
%{_datadir}/plasma/plasmoids/org.kde.plasma.volume/
%{_datadir}/knotifications6/plasma_pa.notifyrc

%changelog
* Wed Mar 11 2026 Anders Rh <andersrh@example.com> - 6.2.0-1
- Initial release for SonicDE
